Bug 1270184 - WLS: method is exceeding the 65535 bytes limit, form modeler is broken
Summary: WLS: method is exceeding the 65535 bytes limit, form modeler is broken
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Form Modeler
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ER5
: 6.2.0
Assignee: Pere Fernàndez
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-09 08:38 UTC by Zuzana Krejčová
Modified: 2020-03-27 19:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:43:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Zuzana Krejčová 2015-10-09 08:38:41 UTC
Description of problem:
Form modeler doesn't load on Weblogic due to a CompilationException:

javax.servlet.ServletException: weblogic.servlet.jsp.CompilationException: Failed to compile JSP /formModeler/fieldHandlers/CreateDynamicObject/input.jsp
input.jsp:30:2: The code of method _jspService(HttpServletRequest, HttpServletResponse) is exceeding the 65535 bytes limit
<i18n:bundle id="bundle" baseName="org.jbpm.formModeler.core.processing.fieldHandlers.messages" locale="<%=LocaleManager.currentLocale()%>"/>

See e.g. http://futuretask.blogspot.cz/2005/01/java-tip-5-avoid-64kb-method-limit-on.html

This doesn't happen with other tested containers (different jsp compilers).


Version-Release number of selected component (if applicable):
6.2 ER3

Comment 2 Pere Fernàndez 2015-10-09 14:26:13 UTC
Can you attach your repo to see your model & forms?

Comment 3 Zuzana Krejčová 2015-10-14 16:20:21 UTC
(In reply to Pere Fernàndez from comment #2)
> Can you attach your repo to see your model & forms?

Repo can be found here:
https://code.engineering.redhat.com/gerrit/p/bpms-assets.git
Project is 'formmodeler'.

I tried a bit more manually. The issue depends on the 'size' of the form. This means that on the one hand, we don't hit it all the time on WLS, on the other hand though, with a bit of luck, we can hit it on other containers as well.

If you try with e.g. DefaultValueTest.form, it will take some time, but in the end, the form will load.
If you try FormWithAllFieldTypes.form, it will not load and you will get the exception mentioned above.
(Switch to 'Add fields by...' tabs)

Comment 4 Pere Fernàndez 2015-10-23 15:12:33 UTC
Splitted the components that were causing the issue into smaller ones.

Sent Pull Requests.


Note You need to log in before you can comment on or make changes to this bug.